Subject: Re: bug#18871: 24.4; nxml-mode: DTD edition breaks the file structure

From: Vincent Lefevre <[email-masked]>
Date: Wed, 2 Mar 2016 13:28:30 +0100

On 2016-03-01 17:15:41 +0100, Marcin Borkowski wrote:
> However, I have just tried to reproduce this behavior on GNU Emacs
> 25.1.50.4 (commit f182640), and could not.  Could you confirm that this
> is no longer a problem?  (If you do not want to compile Emacs from the
> Git repo, maybe try the latest pretest, see
> http://alpha.gnu.org/gnu/emacs/pretest/)

The bug is still present with GNU Emacs 25.0.91.1 (latest pretest).

zira:~> emacs --version
GNU Emacs 25.0.91.1
Copyright (C) 2016 Free Software Foundation, Inc.
GNU Emacs comes with ABSOLUTELY NO WARRANTY.
You may redistribute copies of GNU Emacs
under the terms of the GNU General Public License.
For more information about these matters, see the file named COPYING.
zira:~> cat file.xml
<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE root [
<!ELEMENT root (item)*>
<!ELEMENT item (#PCDATA)>
]>

<root>
<!-- 1234567890 1234567890 1234567890 1234567890 1234567890 -->
</root>
zira:~> emacs -Q -nw file.xml

I've attached 2 screenshots:

screenshot1.png: after opening the file, typing C-SPC on line 2
and going to line 6. The highlighting is still OK.

screenshot2.png: after typing C-w. The highlighting is wrong.

And I still have the error with C-c C-f.

-- 
Vincent Lefèvre <[email-masked]> - Web: <https://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <https://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)